Start Here

Cacheman is a utility which tweaks the Disk Cache settings of Windows 95/98/ME and prevents frequent swapping of the data to hard drive resulting in an improved performance, system reaction time and even stability. Besides this Cacheman corrects also generic problems on systems with more than 512MB of RAM.
What is Disk Cache?

Disk Cache is a part of RAM that acts as an intermediate buffer when data is read from and written to file systems on secondary storage devices.

The Disk Cache driver stores the most recently accessed data in RAM. When a program needs to access new data, the operating system first checks to see if the data is in the cache before reading it from the disk. Because computers can access data from RAM much faster than from a storage device, disk caching can significantly increase performance.

What's the problem with the Windows Disk Cache?

There is no problem with the Disk Cache itself, but Windows can often gobble up 60% (in few cases even 80%) of your installed memory for the Cache. It does not hurt if you still have enough free RAM, but should this be not the case - Windows will very probably increase the usage of Virtual Memory (Swap File on your Hard Drive) instead of decreasing the Disk Cache by a significant amount. Using Virtual Memory is extremely slow compared to RAM access. In this situation the advantages of a large Disk Cache are simply gone and your system will considerably slow down.

This is not the only Disk Cache problem. There is a good chance that Windows 9x/ME will not be able to work correctly on a system with more than 512MB of memory. The cause is a too large Cache that consumes all of the addresses in the system arena, leaving no virtual memory addresses available for other functions such as creating a new virtual machine. Cacheman cures this problem as well!

Does Windows 98/ME still have the Disk Cache problems?

Windows has changed its Disk Cache strategy with the introduction of Windows 98. Applications can be executed directly in the Disk Cache instead of loading them into another memory area and launching them there (as Windows 95 does). Although this is a great improvement, there is still no limit on how large the cache can be. You will probably find reports that the Disk Cache problem is fixed in Win 98/ME because a too large Disk Cache is not wasted space anymore. We surmise that this is NOT the case evident from thousands of user reports. The Disk Cache can still rise to such an amount that virtual memory swapping does not remain an occasional but becomes a permanent activity even on systems with large memory amount and disabled PageFile Call Async Manager. Limiting the Disk Cache size has reduced the swapping in many cases.

Will Cacheman improve every system?

No. Cacheman is not a magic utility. Many Cacheman users have achieved great performance and/or system reaction time improvement, some even reported their system behaves after using Cacheman like after an expensive hardware upgrade. You can read some user comments in this section of the help file. Of course, we have received a few reports where Cacheman was not able to help. We urge you to try it yourself and decide.

Is it dangerous to use Cacheman?

Cacheman works on a numerous systems without any problems. We have received a few user reports who have had problems while using Cacheman with exotic device drivers. (mostly network adapters). Use Cacheman at your own risk as stated in the license agreement of the installation program!

If you encounter any problems - read this section how to get rid of Cacheman.

Can I get support from Outer Technologies? Maybe special settings for my system?

In the last few months Cacheman related mails have reached an overwhelming amount. Many people wrote not only about Cacheman or Performance tips, but also about their general computer problems. We have always tried to do our best and have solved many problems. However because of Cacheman's Freeware nature we are simply not able to answer every mail anymore. If we do so, we would have to stop developing new software, including future Cacheman versions. You can of course still write to cacheman-support@outertech.com, we will try our best, however there is no guarantee that you will get an answer.

We have created a Cacheman support mail account for customers of our Shareware products. If you are a registered user of Linkman or StartEd you can write to cacheman-registered@outertech.com, and you should get an answer within 24 hours.


User comments

 Some User comments

Dear Thomas,

Thanx for Cacheman 3.80; my problems seem to be over!

I've been having problems running Photoshop 5.5 on a P-III 750MHz system with 384MB Ram... After scanning and editing only a couple of 35MB-files, Photoshop was always getting slower and slower as available Ram decreased to 0. I had to close the program and start it up every 15-20 minutes, and I was considering buying a Mac G4. But now I can keep my money in my pocket!

Cacheman 3.80 works wonderfully; I'm using settings for "multimedia use" and available Ram has not been less than 200MB since... Overall performance and speed in Photoshop remain constant, even after hours and hours of work.

In one word, it's great! So keep up the good work!

Best regards,

Jeroen Bouman

Installing your cacheman program is almost like buying a new computer. I use to have problems with my John Madden2001 sometimes pausing during gameplay, but after installing your program the game now runs as smooth as silk.

Thanx a million

Stan Rogers

This PC is a bit of an old warhorse - 32MB RAM, P150, bits of it our almost 10 years old so it's often a struggle to run hardcore modern software.

I am a drum & bass producer so as you can imagine I run an awful lot of audio-editing software that this machine can't really cope with. I had a lot of problems with songs skipping, effects not responding quickly enough etc. Basically it was practically impossible to even listen to an mp3 without it skipping every time I ran another program. I changed a multitude of options, tweaked the registry, ran RAM-boosting software and a whole load of other stuff all of which only made a slight difference. After I set Cacheman to Win98 Power User my problems all but disappeared!

You are a genius!

A postcard from Norwich UK is on it's way to you (hope you like it!)

Andy

Thanks for creating Cacheman 3.80 and for making it freeware. I would have had to buy more RAM b/c my computer was so slow but now it is really fast.

J M Kotman

Thank you for releasing such a great product for free! I have been installing it religiously on the computers I build for work and what can I say? It's GREAT! Not a single customer complaint of out of memory errors! I also don't run out of resources anymore on my own workhorse machine a PIII450 with 128MB.

Thank you.

Andrew

Hi!

I just thought you might want to know that CODEMASTERS (www.codemasters.com a game making company) recommends its customers to use your program Cacheman when they (the customers) have any memory-linked problems with they're very newly released racing game Colin McRae Rally 2.0 .... They seem to like it ALOT!

You might already know this, but if you didn't .... then ... now you know =)

Cheers! / Jonas (from Sweden)

This is really a great little piece of software!!! "Today , all my problems seem so far away, yesterday it seem that they were here to stay. Oh I believe in "Cachemanday" (sic The Beatles). Thank you very much!

Dirk Van de Veire
Belgium

First, let me say that your program, Cacheman, is the finest piece of freeware for the Windows system in the entire free world. I cannot say enough about how it has made my system run better. Across the board, system, user, and GDI, have all been increased dramatically. I run many servers through my DSL line, web, ftp, mail, and even a ShoutCast internet radio station, and it used to be that I was lucky to have 78% of my resources free after all those servers had fired up and users were on them. Now, I have...drum roll please... a whopping 90% across the board of resources available. So now when I fire up NetObjects Fusion (my web design program) or Bright (my image editing program) they fire up and respond with a bit more alacrity than before I installed Cacheman. Thanks for making that very fine utility available as freeware, I'm sure that you have gained a lot of good karma through offering such a fine piece of software for free.

John Erickson

Just wanted to thank you for Cacheman. I thought you might be interested in the following.

PaintShopPro has a disk based undo system with quite a few configuration settings. The one I like to use saves each individual paint operation so I can undo one step at a time. The only problem with this WAS that it was slow, I mean sloooooow, so slow that the system would pause for 2 or 3 seconds until it caught up. It would also leave fragments of the mouse pointer on screen until the window was refreshed. In short, I spent quite a bit of time looking at a messy screen and the hourglass pointer. Since setting the vcache with Cacheman v3.51 (4096, 4096, 512, 4096, 96) the problem has COMPLETELY vanished. I get only an occasional flash of the hourglass pointer now, no pointer fragments and no delays. This is a truly amazing performance boost, almost like a processor upgrade. Also, the overall performance of my system in general is much smoother and more responsive.

Mike Christian

Dear Thomas Reimann,

You've just been nominated to received the "Best Guy Award" for 1998. By chance, I purchased a computer magazine that had system optimization software include--namely one of yours. Thanks a whole bunch. Your program which I perhaps have save me hundreds of dollars from having to go to technicians and buying CD's that were lost during a session gone bad. One thing for sure, I no longer received those undesirable "low buffer runs" from my CD program. The first time I installed Cacheman 3.51, my HP8100 CD Writer worked flawless. In addition, when installing software to my system, my CD ROM would just creep as if it was an old guy. I found that pretty strange and all, because I have a 24X CD ROM and from the most part, on average, it runs fast enough to get a ticket for speeding. Out of the 3 biggest problems I had, your program fix 2. Again, your program is wonder.

...

Again, I would like to say thank you for making this program--its wonderful.Feel free to use part of this message in any type of advertising to let customer know that its not just some other program looking for attention.And by the way, I will share the good news with other friends and well. If you would like for me to add any comments that you have to my Webster that i'm about to make, feel free to send the comment and as soon as it is posted, I send you the web site address. Thanks Thomas.

Alvin Benjamin, United States Army

Read a CD newsgroup that your CacheMan product was a big help in solving under-run errors in burning... They were right.On my PIII/Win98 system with 256MB, loading your program and setting it for 32MB min and Max did the trick.

Shelle's Internet Design & Consulting

Michelle "Shelle" Feigen

I have just installed cacheman on my system.

For months I have been trying to solve the problem of my 128mb ram being eaten up by a huge cache file. I have read magazine after magazine and installed diagnostics tools of all shapes and sizes to no avail.I have probably wasted more than 50 hours trying to get to the root of this problem.I am really impressed that you have explained what the system does in terms of adjusting the system.ini file. If Microsoft had the same sense of trying to help people understand how their system works instead of blinding us with jargon life would be so much easier.With Cacheman however it's even easier and there's no guesswork involved.
Well Done!

Thank you for solving my biggest computer headache for years.

David Anthony Elmes

Hello Thomas

A few hours ago I installed cacheman on my Windows '95 with update W'98 and..oh surprise...it is the best little tool in that matter, that I've crossed in almost 2 years I'm using my pc...before I sure have tried plenty of other tools, ..more or less efficient..but yours is far out.A friend of mine told me about it and sent me the CD rom from a german pc magazine EXTRA Freeware # 4:My set has never been as fast as after the installation of cacheman and there was no problem with the installation....congratulations!

Ray Irrthum

I wish I had found this superb little util 2 years ago. The cd-writer settings have boosted the performance of my P200mmx,32mb ram system to a very noticeable degree. I had a lot of problems with buffer underrun while burning cd-r`s, cacheman seems to have solved the problem instantly.

Well done. A postcard is on it`s way from Lanark, Scotland.

All the very best...

F.J.

Cacheman has totally revitalised my PC!

Thanks a million!

Colin "Oscar" Smedley.

Just installed it this weekend. Brilliant, I have a PII266 with 128mb and it was running like a dog with 3 legs in Win98. Free memory was never above about 10mb, but now I have setup Cacheman for a power user I constantly have 50-70mb free - result everything runs much faster and applications zip open.Thanks very much - keep up the good work.

Steve Heads

Recently I installed Cacheman v3.60. I'm pleased that the access to my hard drive has diminished markedly. Every so often my hard drive used to be accessed as if by an anti-virus scan, but that wasn't it. That's stopped since I installed Cacheman so I believe it must have been swapfile activity I was observing. Nice to have that annoyance eliminated,especially since my CPU is a desktop sitting right in front of me.

Regards,

Richard Vopelak

I've tried a lot of programs that say they will speed up performance but most of them are just hype. I recently reformatted and my system was running very unstable. I restarted at least 20 times in 3 days. Windows kept using up all my memory and I only had a few programs open. White boxes would come up and say you are running dangerously low on resources and it would give me a choice of programs to close. I would try to close one and windows would lock up.This also happened when I tried to close out some programs that weren't responding using control alt delete and windows would lock up again. Now that I have Cacheman installed again everything is running great. I had Cacheman installed when I first got my computer and totally forgot about it after a few days.Thank you for a stable system once again!

Kyle K.

Dear Mr. Thomas,

Downloaded a few days ago,it's been a great pleasure to install your CacheMan on my computer - before installing my RAM was just disappearing and nothing was left after a few working programs was loaded. It really works fine on my computer with any default settings.

Thank you so very much!

Yours sincerely
Thorben Nørgaard

I just downloaded your Cacheman freeware off the internet after seeing it on the Autopsy Report (via http://www.slaughterhouse.com). This is one great piece of software! Thank you, thank you, thank you. My free physical memory went from 80KB to 6100KB using the low memory setting!I'm going to experiment with the other settings.

Thanks again.

Matt Medena

Hi Thomas,
I think we have corresponded before, about some of your other software titles. I will not bore you with praise, you must have plenty!! You write software that is simple and useful, AND does not fill the hard drive with crap you never use a la Microsoft etc.Please keep me up to date with the stuff you are doing.
Thanx.

Regards, John May
Oxford
U.K.

Thank you for the GREAT program you have written. No matter how much time you spent writing it, it can't be as much as the time I have spent trying to stop Win95 from swapping all the time. And I have 160 MB of RAM!!!VCACHE would regularly use 150 MB (155 MB once) for cache, while making the OS and programs do to swap.Now, with the settings I choose in Cacheman, I no longer use the swap file(except while editing large .jpgs).I never did understand the logic of VCACHE thinking that caching the swap file was faster than just releasing that memory to begin with. Now VCACHE doesn't have a choice in the matter. ;)

Jason Woods

I just want to say how thankful I am for Cacheman! I installed and tried it today and suddenly 9 months of problems with my computer are over. I've had trouble with the memory and I just couldn't figure out what to do to fix it.But a few days ago your Cacheman was in Softseek's newsletter and I thought I's give it a try. And it worked. Thank God! No, thank YOU!

From a happy Cacheman user,

Frode Kløw.

This is just a really quick message to thank you for creating the wonderful 'cacheman'.I installed it a few days ago and am amazed at the results. I have claimed back about 4 - 10MB of memory, and as I use graphics appz such as photoshop an awful lot, this has dramatically speeded things up and just made life a lot easier.

There you go. Huge pat on the back. Well done!

Cary Charles

First of all, thanks for Cacheman. It improved the speed of my system drastically. I'm usually running Delphi, Word, Outlook Express, Internet Explorer etc at the same time and Cacheman improved response times tremendously. A postcard from Enschede, the Netherlands is on the way.

Arjen Broeze

I want to thank you and to congratulate for what appears to be a most excellent program. I have just installed it, ran it and saved the Power User settings.The programs I am now running seem to be running faster. Also, when I run FreeMem to check available RAM, there is more available RAM than is usual, even after opening and closing programs.

Julio Juncal

I am a video producer, using Fast Electronics digital video products. There has always been considerable problem in switching between the editing software and the capture/output software in that system, seemingly because Windows 95/98 cannot manage the swap file mess it leaves behind.Among video editors, the controversy has gone on for some time about how to fix the problem, dealing with various placements and size of swap files,even turning it off. (then back on for various operations; a real pain!) When going between the two main applications, Premiere and DVManager, the system must be rebooted just to clean out the cache. Failing to do so will almost always result in a system shutdown. When you're busy trying to put maximum creative energy into a video production, I cannot possibly tell you how much of a problem the constant rebooting is!My first use of Cacheman would indicate that it helps, even perhaps solves that problem. If that is true, that would make whomever wrote this little jewel nothing short of a hero to all of us who edit video on PC's.

Dave Boyers
Plain City, Ohio

I just wanted to tell you that Cacheman 3.5 has made an incredible difference in my systems performance. I had almost given up using the Internet except in the early morning because it took SO..... long to do anything.This computer is an older Intel 100 with only 16 MB of memory. I really thought it was beyond hope! Although my new computer arrives next week, I do not think I'll junk this one as planned. Cacheman really made that much difference.

Thank you
Pamela Dick

Thanks for a great program. At last, a tool that made it easy to get a handle on the elusive MS cache monster. I've been through a variety of apps to "enhance" performance but none have been as effective and as common sense as Cacheman. And it doesn't eat resources!!

Bravo!!!

Jeff Frankhouser
Great Falls, Montana, USA

I found your Windows 98 add-on among the best of 1998 tips in the "Andover Update" news letter. It is a very neat tool for setting the cache size. My Pentium 233+MMX system has 256 Mb RAM and your settings for a user with a CD writer work well. I have logged a performance improvement of around 25%.

John Butler

I just tried Cacheman 3.0 and I must say that it made a world of difference on my 233mhz 24mb computer! Now my computer has some pep in its step! I can't believe just a little 400kb download can do so much good! You program was easy to use too! I especially liked the simple way to set the disk cache ( I.E. Poweruser,Quake2 ) simple settings that a novice can even understand! My hard drive is a lot quieter now.

THANK YOU

David Crocker

I had the problem with runaway disk cache usage in w95. I have 256 MB and I'd have 200 eaten up caching junk I would never need again. Then I would swap constantly. I work with huge multi-image collages (100 - 150 MB). I now have much more free ram.

Brian P. Barnes

Just downloaded and installed Cacheman from ZDNet. Great program! Marked improvement in access speed of my apps. Just a note to say danke.

William Vickers,
Saint Louis,
Missouri.
USA

Fantastic little program! It has made a big difference to my PC.

\///
\ - - //
( @ @ )
-----------oOOo-(_)-oOOo-------------
[ Stephen Hill ]
[ Software Development Engineer ]

Cacheman is a simple but very food tool.

Keep up the good work.

David Nilsson

Thank you for your programs. As I was one of the fools that actually paid for Memturbo believing that it did something "more" than Cacheman. I ran both programs after a cold boot and discovered that Cacheman was actually more effective than the hyped Memturbo.As I'm under an extremely tight budget, I now regret paying the fee that Memturbo required. I also intend on installing your new ver 3.0 in about a minute - right after I uninstall MemTurbo.I appreciate the quality of your programs and depend upon generous developers like you for many utilities. I use all of your freeware and look forward to what you have coming up next.Your postcard will be arriving soon.

Thank you again...Merry Christmas from Everett, MA. USA

Sincerely,

Paul Pappathan

Dear Mr. Reimann,

This is a small note to say a BIG THANK YOU for Cacheman v.3.7 which I downloaded last night from the freeware segment of CNet. As reviewed therein, your program boosted my system's performance noticeably. I am a management consultant and consequently I frequently run Excel, PowerPoint and MS Project simultaneously. Also, the internet is my primary (and preferred, if you like) communication link with the outside world. So, as you can well imagine, my rather archaic system (I generally use a Toshiba laptop with measly 48Megs of RAM) is constantly overtaxed. After installing and running Cacheman under the power user setting, I find that my system performance is affording me the opportunity to postpone my projected investment in a second laptop. All thanks to you!!! can be sure of one thing, when I do get my new system, Cacheman is going to be one of the first utilities that I will be installing.

Again, thanks!!!!!
Sincerely,
Mana Guha

Two weeks ago, following Fred langa recommendation,I downloaded Cacheman for my Dell Dimension, PIII, 384MB SDRAM, 22.6 GB HD, running Win98 SE.Previous to Cacheman my System Resources had been 67% immediately after Restart and 63% after Internet browsing.Crashes and freezes are things of the past because every 4 weeks I spend 40 minutes with my $19. CD reinstalling Win98 SE, so as to clean files and tweak the system (better than Disk Cleanup).The Cacheman settings are Automatic for Beginners and the readings are 81% , 77% and the Disk Cache are min. 1024, max. 8192. The improvements in Resources have been great and my PC stays always fast.

Efrain Morales

Cacheman improved things considerably on by 32MB RAM, P 200, with a small hard drive. The low memory setting did it.

Thanks,
Reuben Snipper

Thomas,
CacheMan immediately proved what a hideous burden Vcache imposes on most Windows machines. Initially, with standard Windows settings ("let Microsoft decide") my 128mb RAM brought no great performance gains over the 64mb installed previously.After installing CacheMan, and with windows now snapping into place, I tinkered beyond the basic CacheMan settings and got 99mb RAM free. I did not expect this much of an improvement! This will change as my program mix moves over into heavy web graphics, but the benefit is enormous.

Appreciatively,

Brian Graham
Columbia, SC

Thanks a million for the fine cacheman program. I have had a lot of problems with my computer locking up, while working on webpages and jpg images,since I downloaded your program, I have not had that problem again. this is a great program.

Thanks again
Kernel Corn
Clanton, Alabama

From Bjorns 3d-World News , 20 March 1998

http://www.bjorn3d.com/ :

Cacheman

Thanks to RacerX for this tip.

" This nice utility called 'Cacheman' configures the Win95 vcache for optimal settings which stops wasted memory usage and causes much less Swap file usage. On my 64meg system I save an average of 8-16 megs of memory after installing this utility!! A lot of the "pauses" in Quake2 and other games literally go away!!Best of all, it's freeware. By the way, this is NOT a compression utility, so there's no speed penalty or anything to worry about. "


 Disclaimer Agreement

Users of Cacheman must accept this disclaimer of warranty:

License

Cacheman is distributed as Freeware. You may use this software on any number of computers for as long as you like. Cacheman is NOT Public Domain software, you are not allowed to use any parts of Cacheman in other software products. We allow the free distribution of Cacheman, but we retain ownership and copyright of Cacheman and its source code in its entirety. You may use and/or distribute Cacheman only subject to the following conditions:

You may not modify the program or documentation files in any way. You must include all the files that were in the original distribution. You may not decouple or otherwise reduce Cacheman to a human perceivable form. You may not sell Cacheman or charge a distribution fee, except to recover the media costs. You understand and agree with this license and with the disclaimer of warranty and the limitation of liability printed below. Cacheman may be bundled and distributed together with other software products (the same conditions do still apply), but please email us at distribution@outertech.com first.

Disclaimer of warranty

Cacheman and related documentation are provided "as is", without warranty of any kind. Outer Technologies disclaims all warranties, express or implied, including, but not limited to, the implied warranties of design, merchantability, fitness for a particular purpose. Outer Technologies does not warrant that the functions contained in Cacheman or documentation will meet your requirements or that the operation of Cacheman will be uninterrupted, error-free or complete, or that defects in Cacheman or documentation will be corrected.

Limitation of liability

Under no circumstances, including negligence, shall Outer Technologies be liable for any lost revenue or profits or any incidental, indirect, special, or consequential damages that result from the use or inability to use the or related products or documentation, even if Outer Technologies has been advised of the possibility of such damages. Some states do not allow the limitation or exclusion of liability for incidental or consequential damages so the above limitation or exclusion may not apply to you. In no event shall Outer Technologies total liability to you for all damages, losses, and causes of action, whether in contract, tort (including negligence) or otherwise, exceed the amount paid by you for Cacheman.

Cacheman is Copyright ã 1997-2001 by Outer Technologies.


 History

4.1
  • larger ReadAhead and Name Cache settings allowed
  • Unload Dlls setting
  • stop history graphs when hidden option
  • some minor bugs fixed
4.0
  • completely redesigned gui
  • customizable monitoring functions and history graphs for mem, disk cache, swap file and GDI resources
  • tray icon monitoring
  • read ahead optimization
  • conservative swap file usage setting
  • improved optimization values including new sound recording preset
  • better optimization remove function
  • automatic reboot
  • greatly improved help file
  • WinME support
3.80
  • disk cache settings can be saved to/loaded from a config file
  • improved cache values


 Our other products

Linkman is a URL manager and webpage monitor. Discover a new browsing experience with it's fully configurable Drop Basket and Tray Icon, detect if content of your favorite web pages has changed, become unavailable or has moved to a new location, create Export Templates to output your Link Collection in a variety of formats. Delete duplicates, password protect your database and search using multiple criteria with the Link Collector. Linkman supports all major Windows browsers.

StartEd is a tool which helps you to manage those pesky programs which load from the Registry, Startup folders and Win.ini at Windows Startup. If you need total and direct control over the programs loaded during the booting processes, then StartEd is the answer. It lets you modify and backup the Startup configuration, detects more than 40 Trojan Horses and comes also handy for every system administrator by managing startup shortcuts executed by any user of a Windows NT4/2000 workstation.


How to get support ?

 Can I get support from Outer Technologies? Maybe special settings for my system?

In the last few months Cacheman related mails have reached an overwhelming amount. Many people wrote not only about Cacheman or Performance tips, but also about their general computer problems. We have always tried to do our best and have solved many problems. However because of Cacheman's Freeware nature we are simply not able to answer every mail anymore. If we do so, we would have to stop developing new software, including future Cacheman versions. You can of course still write to cacheman-support@outertech.com, we will try our best, however there is no guarantee that you will get an answer.

We have created a Cacheman support mail account for customers of our Shareware products. If you are a registered user of Linkman or StartEd you can write to cacheman-registered@outertech.com, and you should get an answer within 24 hours.

Cacheman's home - visit Outer Technologies.

http://www.outertech.com

Email support:

cacheman-support@outertech.com

Cacheman support for registered Linkman and StartEd users:

cacheman-registered@outertech.com


 First Steps

After starting Cacheman for the first time look at the values on the Information Page. For optimal performance you should have quite a lot of Free Physical Memory and a Disk Cache of at least 4MB. The Virtual Memory usage should not be larger than your total Physical Memory amount. If the GDI resources sink below 10%, Windows 9x/ME can become very unstable.

You should now optimize your system and configure Cacheman options. Click on the Preset and select one the presets. The Settings Page is not available on Windows NT4/2000 - you can use Cacheman only to monitor Free Physical Memory and Virtual Memory Usage on these systems.

On the Options Page you can set the monitoring intervals. The Load Cacheman with Windows and Start Hidden options are disabled by default. Cacheman needs not be present in memory all the time for the optimization to work - it's only needed for the monitoring capabilities. Leave the 2 checkboxes disabled if you do not want to use the monitoring functions. If you enable these options Cacheman will start automatically on the next windows boot and hide into the system tray. The Tray Icon will display the Free Memory amount in MB. To configure the display go to the Options Page. To unhide Cacheman's window double click on the Tray Icon or select Hide/Unhide from the Tray shortcut menu. To bring Cacheman's window to front single click the Tray Icon.


 Information Page

On the Information Page you can see 5 history graphs (2 on Windows NT4/2000) together with the current numeric values of Free and Total Physical Memory, Disk Cache Size, Virtual Memory Usage, Total available Virtual Memory, Free GDI and User Resources. To configure the refresh intervals go to the Options Page.


 Settings Page

On this page you can optimize your system settings. The page is disabled on Windows NT4/2000. An easy way to optimize is to use one of the presets from the Preset menu.

You can change the values by clicking on the calculator symbol in the adjacent edit box. Alternatively, type in the desired values in the edit boxes.

Minimal Disk Cache

The Disk Cache size will not go below this value.

Maximal Disk Cache

The Disk Cache size will not rise above this value.

Chunk Size

The Disk Cache is a single block of memory which is divided into chunks. The performance changes slightly with the Chunk Size. If it is too small, the data must occupy too many chunks and vice versa. An optimum size must be arrived at so that the Chunk Size is not too large and not too small. The default size of 512 Bytes is best for most purposes.

Read-ahead Threshold

This slider changes the amount of additional bytes that will be read when a application reads data in sequence. It is meant to improve read performance by anticipating the next read. This works in many cases, unfortunately the performance will decrease if more than one application accesses the hard drive at the same time.

Name and Path Cache

Path Cache specifies the size of the cache that the virtual file allocation table (VFAT) can use to save the locations of the most recently accessed directory paths. This cache improves performance by reducing the number of times the file system must seek paths by searching the file allocation table. Name Cache stores the locations of the most recently accessed file names.

Conservative Swap File Usage

By enabling this checkbox you can disable the PageFile Call Async Manager feature that allows the Memory Manager to asynchronously write out swap file buffers during VFAT idle times. This settings reduces the Virtual Memory swapping, but is only recommended if you have a large amount of Free Memory.

Unload Dlls from memory

Windows automatically unloads DLLs when the usage count is zero, but only after the DLLs have not been used for a period of time. This inactive period might be unacceptably long at times and cause performance slow downs on low memory systems. Enable this option to disable Windows holding the DLLs in memory.


 Options Page

You can configure Cacheman on this page.

Refresh Intervals

You can set the intervals at which Cacheman should update the Tray Icon and the history graphs with new values. The numbers are in Millisecond - 1 Second = 1000 Milliseconds.

Display in Tray Icon

Select the info values Cacheman should display in it's Tray Icon.

Hide Cacheman to Tray on window close

If checked Cacheman will hide to tray when the user closes it's window, overwise Cacheman will quit.

Stop history graphs when hidden

If checked Cacheman will stop the history graphs after hiding to the Tray area.

Load Cacheman with Windows

If checked Cacheman will be automatically loaded at windows startup.

Start Hidden

If checked Cacheman will hide to tray immediately after start.

The Load Cacheman with Windows and Start Hidden options are enabled by default. Cacheman need not be present all the time in memory for the optimization purpose - it's only needed for the monitoring capabilities. Uncheck the 2 checkboxes if you do not want to use the monitoring functions. If you leave the options enabled Cacheman will start automatically on the next windows boot and hide into the system tray. To show Cacheman's main window double click on the Tray Icon or select Hide/Unhide from the Tray shortcut menu.


 Tray Icon

Cacheman's Tray Icon is used for monitoring purposes. It can display Free Physical Memory, Disk Cache Size, Virtual Memory Usage, Free GDI Resources and Free User Resources percentage. You can configure both, what should be displayed and the refresh interval on the Options Page. If Cacheman's main window is in the background or in the hidden state you can double click the Tray Icon to show it. Another double-click on the tray icon hides the main window again. To bring Cacheman's window to front single click the Tray Icon.


 Optimization Presets

Cacheman has several optimization presets built-in. Activate the settings page to select a preset. The Preset menu will become enabled. You can choose from 7 different presets.

Average System

This optimization preset is suitable for most users, especially for novice users.

3D Games

This setting may help stopping pauses in some 3D games, especially on systems with less than 128MB of memory.

CD Writer

This optimization method is right for users who burn CD-R's very often. The minimum and maximum settings do not differ, so the Disk Cache size stays always constant. If you have problems with buffer underruns this preset could help.

Low Memory System

This optimization method is to be used on those systems where no free memory is left after booting to the Windows GUI.

Multimedia

Use this setting if you frequently run multimedia applications which require large amounts of memory, but still may need a bigger Disk Cache.

Power User

A Power User is not someone that uses his computer to write a letter or to play a game from time to time. A Power User runs several big applications at the same time. With this preset you should receive a better system reaction time.

Sound Recording

Use this preset if you frequently run sound harddisk recording apps. The Disk Cache will be set larger than with all other presets.


Disabling Cacheman

 How to disable Cacheman?

Activate the Settings Page. Click on the Preset menu and select the Disable Optimization menu item. Click on the File menu and select Exit. Answer the Save Settings dialog with Yes. Answer the Reboot dialog with Yes.

Is there a way to restore the pre-Cacheman settings from the dos prompt?

On first launch, Cacheman backups the system.ini file located in your windows directory to "c:\yourwindowsdir\system.cam". Copy the file back as system.ini to restore your original Disk Cache settings.


FAQ

 Frequently Asked Questions

Does Cacheman work with Windows NT4/2000?
Do you have Cacheman for Windows NT4/2000 in your plans?
Can I distribute Cacheman?
What is Disk Cache?
What's the problem with the Windows Disk Cache?
Does Windows 98/ME still have the Disk Cache problems?
What is Chunk Size?
What is Read-ahead Threshold?
What is Name and Path Cache?
What are GDI / User Resources?
Does Cacheman change the Virtual Memory size?
Does Cacheman have to be resident in memory to work?
Does Cacheman add drivers to optimize my Disk Cache?
Do I need to close all programs before running Cacheman?
Will Cacheman improve every system?
Is it dangerous to use Cacheman?
I had problems loading Cacheman 3.80 on my system - does this problem still exist with V4.x?

Does Cacheman work with Windows NT4/2000?

Cacheman is designed for Windows 95/98/ME. The settings page is not available on Windows NT4/2000 - you can use Cacheman only to monitor Free Physical memory and Virtual Memory Usage on these systems.

Do you have Cacheman for Windows NT4/2000 in your plans?

Not at the moment.

Can I distribute Cacheman?

Please email us at distribution@outertech.com first.

What is Disk Cache?

Disk Cache is a part of RAM that acts as an intermediate buffer when data is read from and written to file systems on secondary storage devices.

The Disk Cache driver stores the most recently accessed data in RAM. When a program needs to access new data, the operating system first checks to see if the data is in the cache before reading it from the disk. Because computers can access data from RAM much faster than from a storage device, disk caching can significantly increase performance.

What's the problem with the Windows Disk Cache?

There is no problem with the Disk Cache by itself, but Windows can often gobble up 60% (in few cases even 80%) of your installed memory for the Cache. It does not hurt if you still have enough free RAM, but should this be not the case - Windows will very probably increase the usage of Virtual Memory (Swap File on your Hard Drive) instead of decreasing the Disk Cache by a significant amount. Using Virtual Memory is extremely slow compared to RAM access. In this situation the advantages of a large Disk Cache are simply gone and your system will significantly slow down.

This is not the only Disk Cache problem. There is a good change that Windows 9x/ME will not be able to work correctly on a system with more than 512MB of memory. The cause is a too large Cache that consumes all of the addresses in the system arena, leaving no virtual memory addresses available for other functions such as creating a new virtual machine. Cacheman cures also this problem!

Does Windows 98/ME still have the Disk Cache problems?

Windows has changed it's Disk Cache strategy with the introduction of Windows 98. Applications can be executed directly in the Disk Cache instead of loading them into another memory area and launching there (as Windows 95 does). This is a great improvement, but there is still no limit on how large the cache can be. You will probably find reports that the Disk Cache problem is fixed in Win 98/ME because a too large Disk Cache is not wasted space anymore. From thousands of user reports we see that this is NOT the case. The Disk Cache can still raise to such an amount that virtual memory swapping becomes not a occasional but a permanent activity even on systems with large memory amount and disabled PageFile Call Async Manager. Limiting the Disk Cache size has reduced the swapping in many cases.

What is Chunk Size?

The Disk Cache is a single block of memory which is divided into chunks. The performance changes slightly with the Chunk Size. Is it too small, the data must occupy too many chunks and vice versa. An optimum size must be arrived at so that the Chunk Size is not too large and not too small. The default size of 512 Bytes is best for most purposes.

What is Read-ahead Threshold?

Read-ahead Threshold is the amount of additional bytes that will be read when a application reads data in sequence. It is meant to improve read performance by anticipating the next read. This works in many cases, unfortunately the performance will decrease if more than one application accesses the hard drive at the same time.

What is Name and Path Cache?

Path Cache specifies the size of the cache that the virtual file allocation table (VFAT) can use to save the locations of the most recently accessed directory paths. This cache improves performance by reducing the number of times the file system must seek paths by searching the file allocation table. Name Cache stores the locations of the most recently accessed file names.

What are GDI / User Resources?

System resources are areas of memory that are used by the input manager (USER) and the graphic display interface manager (GDI) for keeping track of all of the windows that are open in a session and for drawing objects on the screen. The size of each heap is fixed.

16-bit User heap (64K)
32-bit User window heap (2MB)
32-bit User menu heap (2MB)
16-bit GDI heap (64K)
32-bit GDI heap (2MB)

If any of these segments becomes full, programs may fail to load and Windows 9x/ME may become unstable - regardless of how much other free memory there is.

Does Cacheman change the Virtual Memory size?

No.

Does Cacheman have to be resident in memory to work?

No. Cacheman must not be present all the time in memory for the optimization purpose - it's only needed for the monitoring capabilities. Disable the 2 checkboxes on the Options Page if you do not want to use the monitoring functions. If you leave the options enabled Cacheman will start automatically on the next windows boot and hide into the system tray. The tray icon will display the free memory amount in MB, to configure the display go to the Options page. To show Cacheman's main window double click on the tray icon or select Hide/Unhide from the tray shortcut menu.

Does Cacheman add drivers to optimize my Disk Cache?

No.

Do I need to close all programs before running Cacheman?

Nope. Cacheman does not really interact with any other programs, and uses very little in the way of resources and CPU time.

Will Cacheman improve every system?

No. Cacheman is not a magic utility. Many Cacheman users have achieved great performance and/or system reaction time improvement, some even reported their system behaves after using Cacheman like after an expensive Hardware upgrade. You can read some user comments in this section of the help file. We have got of course reports where Cacheman was not able to help too, simply try yourself and decide.

Is it dangerous to use Cacheman?

Cacheman works on a large number of systems without any problems. We have received a few problem reports from users with exotic device drivers. (mostly network adapters). Use Cacheman at your own risk as stated in the license agreement of the installation program!

If you encounter any problems - read this section how to get rid of Cacheman.

I had problems loading Cacheman 3.80 on my system - does this problem still exist with V4.x?

Cacheman 3.80 executable was compressed. This worked without problems and reduced the executable size by a significant amount. The loading problem that occurred was NOT caused by Cacheman, but by a new version of Symantec Norton Antivirus software. Cacheman 4.x is not compressed anymore, but since NAV was the only AV software that caused problems with compressed executable files we do not recommend to use it at all. There are a lot of good AV software which work without problems, use less resources and offer better AV protection at the same time.


.topic 1

 What is Disk Cache?

Disk Cache is a part of RAM that acts as an intermediate buffer when data is read from and written to file systems on secondary storage devices.

The Disk Cache driver stores the most recently accessed data in RAM. When a program needs to access new data, the operating system first checks to see if the data is in the cache before reading it from the disk. Because computers can access data from RAM much faster than from a storage device, disk caching can significantly increase performance.

What's the problem with the Windows Disk Cache?

There is no problem with the Disk Cache itself, but Windows can often gobble up 60% (in few cases even 80%) of your installed memory for the Cache. It does not hurt if you still have enough free RAM, but should this be not the case - Windows will very probably increase the usage of Virtual Memory (Swap File on your Hard Drive) instead of decreasing the Disk Cache by a significant amount. Using Virtual Memory is extremely slow compared to RAM access. In this situation the advantages of a large Disk Cache are simply gone and your system will considerably slow down.

This is not the only Disk Cache problem. There is a good chance that Windows 9x/ME will not be able to work correctly on a system with more than 512MB of memory. The cause is a too large Cache that consumes all of the addresses in the system arena, leaving no virtual memory addresses available for other functions such as creating a new virtual machine. Cacheman cures this problem as well!

Does Windows 98/ME still have the Disk Cache problems?

Windows has changed its Disk Cache strategy with the introduction of Windows 98. Applications can be executed directly in the Disk Cache instead of loading them into another memory area and launching them there (as Windows 95 does). Although this is a great improvement, there is still no limit on how large the cache can be. You will probably find reports that the Disk Cache problem is fixed in Win 98/ME because a too large Disk Cache is not wasted space anymore. We surmise that this is NOT the case evident from thousands of user reports. The Disk Cache can still rise to such an amount that virtual memory swapping does not remain an occasional but becomes a permanent activity even on systems with large memory amount and disabled PageFile Call Async Manager. Limiting the Disk Cache size has reduced the swapping in many cases.

Will Cacheman improve every system?

No. Cacheman is not a magic utility. Many Cacheman users have achieved great performance and/or system reaction time improvement, some even reported their system behaves after using Cacheman like after an expensive hardware upgrade. You can read some user comments in this section of the help file. Of course, we have received a few reports where Cacheman was not able to help. We urge you to try it yourself and decide.

Is it dangerous to use Cacheman?

Cacheman works on a numerous systems without any problems. We have received a few user reports who have had problems while using Cacheman with exotic device drivers. (mostly network adapters). Use Cacheman at your own risk as stated in the license agreement of the installation program!

If you encounter any problems - read this section how to get rid of Cacheman.

Can I get support from Outer Technologies? Maybe special settings for my system?

In the last few months Cacheman related mails have reached an overwhelming amount. Many people wrote not only about Cacheman or Performance tips, but also about their general computer problems. We have always tried to do our best and have solved many problems. However because of Cacheman's Freeware nature we are simply not able to answer every mail anymore. If we do so, we would have to stop developing new software, including future Cacheman versions. You can of course still write to  , we will try our best, however there is no guarantee that you will get an answer.

We have created a Cacheman support mail account for customers of our Shareware products. If you are a registered user of Linkman or StartEd you can write to  , and you should get an answer within 24 hours.

.topic 2
Some User comments

Dear Thomas,

Thanx for Cacheman 3.80; my problems seem to be over!

I've been having problems running Photoshop 5.5 on a P-III 750MHz system with 384MB Ram... After scanning and editing only a couple of 35MB-files, Photoshop was always getting slower and slower as available Ram decreased to 0. I had to close the program and start it up every 15-20 minutes, and I was considering buying a Mac G4. But now I can keep my money in my pocket!

Cacheman 3.80 works wonderfully; I'm using settings for "multimedia use" and available Ram has not been less than 200MB since... Overall performance and speed in Photoshop remain constant, even after hours and hours of work.

In one word, it's great! So keep up the good work!

Best regards,

Jeroen Bouman

Installing your cacheman program is almost like buying a new computer. I use to have problems with my John Madden2001 sometimes pausing during gameplay, but after installing your program the game now runs as smooth as silk.

Thanx a million

Stan Rogers

This PC is a bit of an old warhorse - 32MB RAM, P150, bits of it our almost 10 years old so it's often a struggle to run hardcore modern software.

I am a drum & bass producer so as you can imagine I run an awful lot of audio-editing software that this machine can't really cope with. I had a lot of problems with songs skipping, effects not responding quickly enough etc. Basically it was practically impossible to even listen to an mp3 without it skipping every time I ran another program. I changed a multitude of options, tweaked the registry, ran RAM-boosting software and a whole load of other stuff all of which only made a slight difference. After I set Cacheman to Win98 Power User my problems all but disappeared!

You are a genius!

A postcard from Norwich UK is on it's way to you (hope you like it!)

Andy

Thanks for creating Cacheman 3.80 and for making it freeware.  I would have had to buy more RAM b/c my computer was so slow but now it is really fast.

J M Kotman

Thank you for releasing such a great product for free! I have been installing it religiously on the computers I build for work and what can I say? It's GREAT! Not a single customer complaint of out of memory errors! I also don't run out of resources anymore on my own workhorse machine a PIII450 with 128MB.

Thank you.

Andrew

Hi!

I just thought you might want to know that CODEMASTERS (www.codemasters.com a game making company) recommends its customers to use  your program Cacheman  when they (the customers) have any memory-linked problems with they're very newly released racing game Colin McRae Rally 2.0 .... They seem to like it ALOT!

You might already know this, but if you didn't .... then ... now you know =)

Cheers! / Jonas (from Sweden)

This is really a great little piece of software!!!  "Today , all my problems seem so far away, yesterday it seem that they were here to stay. Oh I believe in "Cachemanday" (sic The Beatles). Thank you very much!

Dirk Van de Veire
Belgium

First, let me say that your program, Cacheman, is the finest piece of freeware for the Windows system in the entire free world. I cannot say enough about how it has made my system run better. Across the board, system, user, and GDI, have all been increased dramatically. I run many servers through my DSL line, web, ftp, mail, and even a ShoutCast internet radio station, and it used to be that I was lucky to have 78% of my resources free after all those servers had fired up and users were on them. Now, I have...drum roll please... a whopping 90% across the board of resources available. So now when I fire up NetObjects Fusion (my web design program) or Bright (my image editing program) they fire up and respond with a bit more alacrity than before I installed Cacheman. Thanks for making that very fine utility available as freeware, I'm sure that you have gained a lot of good karma through offering such a fine piece of software for free.

John Erickson

Just wanted to thank you for Cacheman. I thought you might be interested in the following.

PaintShopPro has a disk based undo system with quite a few configuration settings. The one I like to use saves each individual paint operation so I can undo one step at a time. The only problem with this WAS that it was slow, I mean sloooooow, so slow that the system would pause for 2 or 3 seconds until it caught up. It would also leave fragments of the mouse pointer on screen until the window was refreshed. In short, I spent quite a bit of time looking at a messy screen and the hourglass pointer. Since setting the vcache with Cacheman v3.51 (4096, 4096, 512, 4096, 96) the problem has COMPLETELY vanished. I get only an occasional flash of the hourglass pointer now, no pointer fragments and no delays. This is a truly amazing performance boost, almost like a processor upgrade. Also, the overall performance of my system in general is much smoother and more responsive.

Mike Christian

Dear Thomas Reimann,

You've just been nominated to received the "Best  Guy Award"  for 1998. By chance, I purchased a computer magazine that had system optimization software include--namely one of yours. Thanks a whole bunch. Your program which I perhaps have save me hundreds of dollars from having to go to technicians and buying CD's that were lost during a session gone bad. One thing for sure, I no longer received those undesirable "low buffer runs" from my CD program. The first time I installed Cacheman 3.51, my HP8100 CD Writer worked flawless. In addition, when installing software to my system, my CD ROM would just creep as if it was an old guy. I found that pretty strange and all, because I have a 24X CD ROM and from the most part, on average, it runs fast enough to get a  ticket for speeding. Out of the 3 biggest problems I had, your program fix 2. Again, your program is wonder.

...

Again, I would like to say thank you for making this program--its wonderful.Feel free to use part of this message in any type of advertising to let customer know that its not just some other program looking for attention.And by the way, I will share the good news with other friends and well. If you would like for me to add any comments that you have to my Webster that i'm about to make, feel free to send the comment and as soon as it is posted, I send you the web site address. Thanks Thomas.

Alvin Benjamin, United States Army

Read a CD newsgroup that your CacheMan product was a big help in solving under-run errors in burning... They were right.On my PIII/Win98 system with 256MB, loading your program and setting it for 32MB min and Max did the trick.

Shelle's Internet Design & Consulting

Michelle "Shelle" Feigen

I have just installed cacheman on my system.

For months I have been trying to solve the problem of my 128mb ram being eaten up by a huge cache file. I have read magazine after magazine and installed diagnostics tools of all shapes and sizes to no avail.I have probably wasted more than 50 hours trying to get to the root of this problem.I am really impressed that you have explained what the system does in terms of adjusting the system.ini file. If Microsoft had the same sense of trying to help people understand how their system works instead of blinding us with jargon life would be so much easier.With Cacheman however it's even easier and there's no guesswork involved.
Well Done!

Thank you for solving my biggest computer headache for years.

David Anthony Elmes

Hello Thomas

A few hours ago I installed cacheman on my Windows '95 with update W'98 and..oh surprise...it is the best little tool in that matter, that I've crossed in almost 2 years I'm using my pc...before I sure have tried plenty of other tools, ..more or less efficient..but yours is far out.A friend of mine told me about it and sent me  the CD rom from a german pc magazine EXTRA Freeware # 4:My set has never been as fast as after the installation of cacheman and there was no problem with the installation....congratulations!

Ray Irrthum

I wish I had found this superb little util 2 years ago. The cd-writer settings have boosted the performance of my P200mmx,32mb ram system to a very noticeable degree.  I had a lot of problems with buffer underrun while burning cd-r`s, cacheman seems to have solved the problem instantly.

Well done.  A postcard is on it`s way from Lanark, Scotland.

All the very best...

F.J.

Cacheman has totally revitalised my PC!

Thanks a million!

Colin "Oscar" Smedley.

Just installed it this weekend. Brilliant, I have a PII266 with 128mb and it was running like a dog with 3 legs in Win98. Free memory was never above about 10mb, but now I have setup Cacheman for a power user I constantly have 50-70mb free - result everything runs much faster and applications zip open.Thanks very much - keep up the good work.

Steve Heads

Recently I installed Cacheman v3.60.  I'm pleased that the access to my hard drive has diminished markedly.  Every so often my hard drive used to be accessed as if by an anti-virus scan, but that wasn't it.  That's stopped since I installed Cacheman so I believe it must have been swapfile activity I was observing.  Nice to have that annoyance eliminated,especially since my CPU is a desktop sitting right in front of me.

Regards,

Richard Vopelak

I've tried a lot of programs that say they will speed up performance but most of them are just hype. I recently reformatted and my system was running very unstable. I restarted at least 20 times in 3 days. Windows kept using up all my memory and I only had a few programs open. White boxes would come up and say you are running dangerously low on resources and it would give me a choice of programs to close. I would try to close one and windows would lock up.This also happened when I tried to close out some programs that weren't responding using control alt delete and windows would lock up again. Now that I have Cacheman installed again everything is running great. I had Cacheman installed when I first got my computer and totally forgot about it after a few days.Thank you for a stable system once again!

Kyle K.

Dear Mr. Thomas,

Downloaded a few days ago,it's been a great pleasure to install your CacheMan on my computer - before installing my RAM was just disappearing and nothing was left after a few working programs was loaded. It really works fine on my computer with any default settings.

Thank you so very much!

Yours sincerely
Thorben Nørgaard

I just downloaded your Cacheman freeware off the internet after seeing it on the Autopsy Report (via http://www.slaughterhouse.com).  This is one great piece of software!  Thank you, thank you, thank you.  My free physical memory went from 80KB to 6100KB using the low memory setting!I'm going to experiment with the other settings.

Thanks again.

Matt Medena

Hi Thomas,
I think we have corresponded before, about some of your other software titles. I will not bore you with praise, you must have plenty!! You write software that is simple and useful, AND does not fill the hard drive with crap you never use a la Microsoft etc.Please keep me up to date with the stuff you are doing.
Thanx.

Regards, John May
Oxford
U.K.

Thank you for the GREAT program you have written.  No matter how much time you spent writing it, it can't be as much as the time I have spent trying to stop Win95 from swapping all the time.  And I  have 160 MB of RAM!!!VCACHE would regularly  use 150 MB (155 MB once) for cache, while making the OS and programs do to swap.Now, with the settings I choose in Cacheman, I  no longer use the swap file(except while editing  large .jpgs).I never did understand the logic of VCACHE  thinking that caching the swap file was faster than  just releasing that memory to begin with.  Now  VCACHE doesn't have a choice in the matter.  ;)

Jason Woods

I just want to say how thankful I am for Cacheman! I installed and tried it today and suddenly 9 months of problems with my computer are over. I've had trouble with the memory and I just couldn't figure out what to do to fix it.But a few days ago your Cacheman was in Softseek's newsletter and I thought I's give it a try. And it worked. Thank God! No, thank YOU!

From a happy Cacheman user,

Frode Kløw.

This is just a really quick message to thank you for creating the wonderful 'cacheman'.I installed it a few days ago and am amazed at the results. I have claimed back about 4 - 10MB of memory, and as I use graphics appz such as photoshop an awful lot, this has dramatically speeded things up and just made life a lot easier.

There you go. Huge pat on the back. Well done!

Cary Charles

First of all, thanks for Cacheman. It improved the speed of my system drastically. I'm usually running Delphi, Word, Outlook Express, Internet Explorer etc at the same time and Cacheman improved response times tremendously. A postcard from Enschede, the Netherlands is on the way.

Arjen Broeze

I want to thank you and to congratulate for what appears to be a most excellent program. I have just installed it, ran it and saved the Power User settings.The programs I am now running seem to be running faster. Also, when I run FreeMem to check available RAM, there is more available RAM than is usual, even after opening and closing programs.

Julio Juncal

I am a video producer, using Fast Electronics digital video products. There has always been considerable problem in switching between the editing software and the capture/output software in that system, seemingly because Windows 95/98 cannot manage the swap file mess it leaves behind.Among video editors, the controversy has gone on for some time about how to fix the problem, dealing with various placements and size of swap files,even turning it off. (then back on for various operations; a real pain!) When going between the two main applications, Premiere and DVManager, the system must be rebooted just to clean out the cache. Failing to do so will almost always result in a system shutdown. When you're busy trying to put maximum creative energy into a video production, I cannot possibly tell you how much of a problem the constant rebooting is!My first use of Cacheman would indicate that it helps, even perhaps solves that problem.  If that is true, that would make whomever wrote this little jewel nothing short of a hero to all of us who edit video on PC's.

Dave Boyers
Plain City, Ohio

I just wanted to tell you that Cacheman 3.5 has made an incredible difference in my systems performance.  I had almost given up using the Internet except in the early morning because it took SO..... long to do anything.This computer is an older Intel 100 with only 16 MB of memory.  I really thought it was beyond hope!  Although my new computer arrives next week, I do not think I'll junk this one as planned.  Cacheman really made that much difference.

Thank you
Pamela Dick

Thanks for a great program.  At last, a tool that made it easy to get a handle on the elusive MS cache monster.  I've been through a variety of apps to "enhance" performance but none have been as effective and as common sense as Cacheman.  And it doesn't eat resources!!

Bravo!!!

Jeff Frankhouser
Great Falls, Montana, USA

I found your Windows 98 add-on among the best of 1998 tips in the "Andover Update" news letter. It is a very neat tool for setting the cache size. My Pentium 233+MMX system has 256 Mb RAM and your settings for a user with a CD writer work well. I have logged a performance improvement of around 25%.

John Butler

I just tried Cacheman 3.0 and I must say that it made a world of difference on my 233mhz 24mb computer! Now my computer has some pep in its step! I can't believe just a little 400kb download can do so much good! You program was easy to use too! I especially liked the simple way to set the disk cache ( I.E. Poweruser,Quake2 ) simple settings that a novice can even understand! My hard drive is a lot quieter now.

THANK YOU

David Crocker

I had the problem with runaway disk cache usage in w95. I have 256 MB and I'd have 200 eaten up caching junk I would never need again. Then I would swap constantly. I work with huge multi-image collages (100 - 150 MB). I now have much more free ram.

Brian P. Barnes

Just downloaded and installed Cacheman from ZDNet.  Great program! Marked improvement in access speed of my apps.  Just a note to say danke.

William Vickers,
Saint Louis,
Missouri.
USA

Fantastic little program! It has made a big difference  to my PC.

              \///
            \  - -  //
             (  @ @  )
-----------oOOo-(_)-oOOo-------------
[ Stephen Hill ]
[ Software Development Engineer ]

Cacheman is a simple but very food tool.

Keep up the good work.

David Nilsson

Thank you for your programs. As I was one of the fools that actually paid for Memturbo believing that it did something "more" than Cacheman. I ran both programs after a cold boot and discovered that Cacheman was actually more effective than the hyped Memturbo.As I'm under an extremely tight budget, I now regret paying the fee that Memturbo required. I also intend on installing your new ver 3.0 in about a minute - right after I uninstall MemTurbo.I appreciate the quality of your programs and depend upon generous developers like you for many utilities. I use all of your freeware and look forward to what you have coming up next.Your postcard will be arriving soon.

Thank you again...Merry Christmas from Everett, MA. USA

Sincerely,

Paul Pappathan

Dear Mr. Reimann,

This is a small note to say a BIG THANK YOU for Cacheman v.3.7 which I downloaded last night from the freeware segment of CNet. As reviewed therein, your program boosted my system's performance noticeably. I am a management consultant and consequently I frequently run Excel, PowerPoint and MS Project simultaneously. Also, the internet is my primary (and preferred, if you like) communication link with the outside world. So, as you can well imagine, my rather archaic system (I generally use a Toshiba laptop with measly 48Megs of RAM) is constantly overtaxed. After installing and running Cacheman under the power user setting, I find that my system performance is affording me the opportunity to postpone my projected investment in a second laptop. All thanks to you!!! can be sure of one thing, when I do get my new system, Cacheman is going to be one of the first utilities that I will be installing.

Again, thanks!!!!!
Sincerely,
Mana Guha

Two weeks ago, following Fred langa recommendation,I downloaded Cacheman for my Dell Dimension, PIII, 384MB SDRAM, 22.6 GB HD, running Win98 SE.Previous to Cacheman my System Resources had been 67% immediately after Restart and 63% after Internet browsing.Crashes and freezes are things of the past because every 4 weeks I spend 40 minutes with my $19. CD reinstalling Win98 SE, so as to clean files and tweak the system (better than Disk Cleanup).The Cacheman settings are Automatic for Beginners and the readings are 81% , 77% and the Disk Cache are min. 1024, max. 8192. The improvements in Resources have been great and my PC stays always fast.

Efrain Morales

Cacheman improved things considerably on by 32MB RAM, P 200, with a small hard drive.  The low memory setting did it.

Thanks,
Reuben Snipper

Thomas,
CacheMan immediately proved what a hideous burden Vcache imposes on most Windows machines. Initially, with standard Windows settings ("let Microsoft decide") my 128mb RAM brought no great performance gains over the 64mb installed previously.After installing CacheMan, and with windows now snapping into place, I tinkered beyond the basic CacheMan settings and got 99mb RAM free. I did not expect this much of an improvement! This will change as my program mix moves over into heavy web graphics, but the benefit is enormous.

Appreciatively,

Brian Graham
Columbia, SC

Thanks a million for the fine cacheman program. I have had a lot of problems with my computer locking up, while working on webpages and jpg images,since I downloaded your program, I have not had that problem again. this is a great program.

Thanks again
Kernel Corn
Clanton, Alabama

From Bjorns 3d-World News , 20 March 1998

http://www.bjorn3d.com/ :

Cacheman

Thanks to RacerX for this tip.

" This nice utility called 'Cacheman' configures the Win95 vcache for optimal settings which stops wasted memory usage and causes much less Swap file usage. On my 64meg system I save an average of 8-16 megs of memory after installing this utility!! A lot of the "pauses" in Quake2 and other games literally go away!!Best of all, it's freeware. By the way, this is NOT a compression utility, so there's no speed penalty or anything to worry about. "

.topic 3
Disclaimer Agreement

Users of Cacheman must accept this disclaimer  of warranty:

License

Cacheman is distributed as Freeware. You may use this software on any number of computers for as long as you like. Cacheman is NOT Public Domain software, you are not allowed to use any parts of Cacheman in other software products. We allow the free distribution of Cacheman, but we retain ownership and copyright of Cacheman and its source code in its entirety. You may use and/or distribute Cacheman only subject to the following conditions:

You may not modify the program or documentation files in any way. You must include all the files that were in the original distribution. You may not decouple or otherwise reduce Cacheman to a human perceivable form. You may not sell Cacheman or charge a distribution fee, except to recover the media costs. You understand and agree with this license and with the disclaimer of warranty and the limitation of liability printed below. Cacheman may be bundled and distributed together with other software products (the same conditions do still apply), but please email us at distribution@outertech.com first.

Disclaimer of warranty

Cacheman and related documentation are provided "as is", without warranty of any kind. Outer Technologies disclaims all warranties, express or implied, including, but not limited to, the implied warranties of design, merchantability, fitness for a particular purpose. Outer Technologies does not warrant that the functions contained in Cacheman or documentation will meet your requirements or that the operation of Cacheman will be uninterrupted, error-free or complete, or that defects in Cacheman or documentation will be corrected.

Limitation of liability

Under no circumstances, including negligence, shall Outer Technologies be liable for any lost revenue or profits or any incidental, indirect, special, or consequential damages that result from the use or inability to use the or related products or documentation, even if Outer Technologies has been advised of the possibility of such damages. Some states do not allow the limitation or exclusion of liability for incidental or consequential damages so the above limitation or exclusion may not apply to you. In no event shall Outer Technologies total liability to you for all damages, losses, and causes of action, whether in contract, tort (including negligence) or otherwise, exceed the amount paid by you for Cacheman.

Cacheman is Copyright ã 1997-2001 by Outer Technologies.

.topic 4
History

.topic 5
Our other products

Linkman is a URL manager and webpage monitor. Discover a new browsing experience with it's fully configurable Drop Basket and Tray Icon, detect if content of your favorite web pages has changed, become unavailable or has moved to a new location, create Export Templates to output your Link Collection in a variety of formats. Delete duplicates, password protect your database and search using multiple criteria with the Link Collector. Linkman supports all major Windows browsers.

StartEd is a tool which helps you to manage those pesky programs which load from the Registry, Startup folders and Win.ini at Windows Startup. If you need total and direct control over the programs loaded during the booting processes, then StartEd is the answer. It lets you modify and backup the Startup configuration, detects more than 40 Trojan Horses and comes also handy for every system administrator by managing startup shortcuts executed by any user of a Windows NT4/2000 workstation.

.topic 6
Can I get support from Outer Technologies? Maybe special settings for my system?

In the last few months Cacheman related mails have reached an overwhelming amount. Many people wrote not only about Cacheman or Performance tips, but also about their general computer problems. We have always tried to do our best and have solved many problems. However because of Cacheman's Freeware nature we are simply not able to answer every mail anymore. If we do so, we would have to stop developing new software, including future Cacheman versions. You can of course still write to  , we will try our best, however there is no guarantee that you will get an answer.

We have created a Cacheman support mail account for customers of our Shareware products. If you are a registered user of Linkman or StartEd you can write to  , and you should get an answer within 24 hours.

.topic 7
First Steps

After starting Cacheman for the first time look at the values on the Information Page. For optimal performance you should have quite a lot of Free Physical Memory and a Disk Cache of at least 4MB. The Virtual Memory usage should not be larger than your total Physical Memory amount. If the GDI resources sink below 10%, Windows 9x/ME can become very unstable.

You should now optimize your system and configure Cacheman options. Click on the Preset and select one the presets. The Settings Page is not available on Windows NT4/2000 - you can use Cacheman only to monitor Free Physical Memory and Virtual Memory Usage on these systems.

On the Options Page you can set the monitoring intervals. The Load Cacheman with Windows and Start Hidden options are disabled by default. Cacheman needs not be present in memory all the time for the optimization to work - it's only needed for the monitoring capabilities. Leave the 2 checkboxes disabled if you do not want to use the monitoring functions. If you enable these options Cacheman will start automatically on the next windows boot and hide into the system tray. The Tray Icon will display the Free Memory amount in MB. To configure the display go to the Options Page. To unhide Cacheman's window double click on the Tray Icon or select Hide/Unhide from the Tray shortcut menu. To bring Cacheman's window to front single click the Tray Icon.

.topic 8
Information Page

On the Information Page you can see 5 history graphs (2 on Windows NT4/2000) together with the current numeric values of Free and Total Physical Memory, Disk Cache Size, Virtual Memory Usage, Total available Virtual Memory, Free GDI and User Resources. To configure the refresh intervals go to the Options Page.

.topic 9
Settings Page

On this page you can optimize your system settings. The page is disabled on Windows NT4/2000. An easy way to optimize is to use one of the presets from the Preset menu.

You can change the values by clicking on the calculator symbol in the adjacent edit box. Alternatively, type in the desired values in the edit boxes.

Minimal Disk Cache

The Disk Cache size will not go below this value.

Maximal Disk Cache

The Disk Cache size will not rise above this value.

Chunk Size

The Disk Cache is a single block of memory which is divided into chunks. The performance changes slightly with the Chunk Size. If it is too small, the data must occupy too many chunks and vice versa. An optimum size must be arrived at so that the Chunk Size is not too large and not too small. The default size of 512 Bytes is best for most purposes.

Read-ahead Threshold

This slider changes the amount of additional bytes that will be read when a application reads data in sequence. It is meant to improve read performance by anticipating the next read. This works in many cases, unfortunately the performance will decrease if more than one application accesses the hard drive at the same time.

Name and Path Cache

Path Cache specifies the size of the cache that the virtual file allocation table (VFAT) can use to save the locations of the most recently accessed directory paths. This cache improves performance by reducing the number of times the file system must seek paths by searching the file allocation table. Name Cache stores the locations of the most recently accessed file names.

Conservative Swap File Usage

By enabling this checkbox you can disable the PageFile Call Async Manager feature that allows the Memory Manager to asynchronously write out swap file buffers during VFAT idle times. This settings reduces the Virtual Memory swapping, but is only recommended if you have a large amount of Free Memory.

Unload Dlls from memory

Windows automatically unloads DLLs when the usage count is zero, but only after the DLLs have not been used for a period of time. This inactive period might be unacceptably long at times and cause performance slow downs on low memory systems. Enable this option to disable Windows holding the DLLs in memory.

.topic 10
Options Page

You can configure Cacheman on this page.

Refresh Intervals

You can set the intervals at which Cacheman should update the Tray Icon and the history graphs with new values. The numbers are in Millisecond - 1 Second = 1000 Milliseconds.

Display in Tray Icon

Select the info values Cacheman should display in it's Tray Icon.

Hide Cacheman to Tray on window close

If checked Cacheman will hide to tray when the user closes it's window, overwise Cacheman will quit.

Stop history graphs when hidden

If checked Cacheman will stop the history graphs after hiding to the Tray area.

Load Cacheman with Windows

If checked Cacheman will be automatically loaded at windows startup.

Start Hidden

If checked Cacheman will hide to tray immediately after start.

The Load Cacheman with Windows and Start Hidden options are enabled by default. Cacheman need not be present all the time in memory for the optimization purpose - it's only needed for the monitoring capabilities. Uncheck the 2 checkboxes if you do not want to use the monitoring functions. If you leave the options enabled Cacheman will start automatically on the next windows boot and hide into the system tray. To show Cacheman's main window double click on the Tray Icon or select Hide/Unhide from the Tray shortcut menu.

.topic 11
Tray Icon

Cacheman's Tray Icon is used for monitoring purposes. It can display Free Physical Memory, Disk Cache Size, Virtual Memory Usage, Free GDI Resources and Free User Resources percentage. You can configure both, what should be displayed and the refresh interval on the Options Page. If Cacheman's main window is in the background or in the hidden state you can double click the Tray Icon to show it. Another double-click on the tray icon hides the main window again. To bring Cacheman's window to front single click the Tray Icon.

.topic 12
Optimization Presets

Cacheman has several optimization presets built-in. Activate the settings page to select a preset. The Preset menu will become enabled. You can choose from 7 different presets.

Average System

This optimization preset is suitable for most users, especially for novice users.

3D Games

This setting may help stopping pauses in some 3D games, especially on systems with less than 128MB of memory.

CD Writer

This optimization method is right for users who burn CD-R's very often. The minimum and maximum settings do not differ, so the Disk Cache size stays always constant. If you have problems with buffer underruns this preset could help.

Low Memory System

This optimization method is to be used on those systems where no free memory is left after booting to the Windows GUI.

Multimedia

Use this setting if you frequently run multimedia applications which require large amounts of memory, but still may need a bigger Disk Cache.

Power User

A Power User is not someone that uses his computer to write a letter or to play a game from time to time. A Power User runs several big applications at the same time. With this preset you should receive a better system reaction time.

Sound Recording

Use this preset if you frequently run sound harddisk recording apps. The Disk Cache will be set larger than with all other presets.

.topic 13
How to disable Cacheman?

Activate the Settings Page. Click on the Preset menu and select the Disable Optimization menu item. Click on the File menu and select Exit. Answer the Save Settings dialog with Yes. Answer the Reboot dialog with Yes.

Is there a way to restore the pre-Cacheman settings from the dos prompt?

On first launch, Cacheman backups the system.ini file located in your windows directory to "c:\yourwindowsdir\system.cam". Copy the file back as system.ini to restore your original Disk Cache settings.

.topic 14
Frequently Asked Questions

Does Cacheman work with Windows NT4/2000?
Do you have Cacheman for Windows NT4/2000 in your plans?
Can I distribute Cacheman?
What is Disk Cache?
What's the problem with the Windows Disk Cache?
Does Windows 98/ME still have the Disk Cache problems?
What is Chunk Size?
What is Read-ahead Threshold?
What is Name and Path Cache?
What are GDI / User Resources?
Does Cacheman change the Virtual Memory size?
Does Cacheman have to be resident in memory to work?
Does Cacheman add drivers to optimize my Disk Cache?
Do I need to close all programs before running Cacheman?
Will Cacheman improve every system?
Is it dangerous to use Cacheman?
I had problems loading Cacheman 3.80 on my system - does this problem still exist with V4.x?

Does Cacheman work with Windows NT4/2000?

Cacheman is designed for Windows 95/98/ME. The settings page is not available on Windows NT4/2000 - you can use Cacheman only to monitor Free Physical memory and Virtual Memory Usage on these systems.

Do you have Cacheman for Windows NT4/2000 in your plans?

Not at the moment.

Can I distribute Cacheman?

Please email us at    first.

What is Disk Cache?

Disk Cache is a part of RAM that acts as an intermediate buffer when data is read from and written to file systems on secondary storage devices.

The Disk Cache driver stores the most recently accessed data in RAM.  When a program needs to access new data, the operating system first checks to see if the data is in the cache before reading it from the disk. Because computers can access data from RAM much faster than from a storage device, disk caching can significantly increase performance.

What's the problem with the Windows Disk Cache?

There is no problem with the Disk Cache by itself, but Windows can often gobble up 60% (in few cases even 80%) of your installed memory for the Cache.  It does not hurt if you still have enough free RAM, but should this be not the case - Windows will very probably increase the usage of Virtual Memory (Swap File on your Hard Drive) instead of decreasing the Disk Cache by a significant amount. Using Virtual Memory is extremely slow compared to RAM access. In this situation the advantages of a large Disk Cache are simply gone and your system will significantly slow down.

This is not the only Disk Cache problem. There is a good change that Windows 9x/ME will not be able to work correctly on a system with more than 512MB of memory. The cause is a too large Cache that consumes all of the addresses in the system arena, leaving no virtual memory addresses available for other functions such as creating a new virtual machine. Cacheman cures also this problem!

Does Windows 98/ME still have the Disk Cache problems?

Windows has changed it's Disk Cache strategy with the introduction of Windows 98. Applications can be executed directly in the Disk Cache instead of loading them into another memory area and launching there (as Windows 95 does). This is a great improvement, but there is still no limit on how large the cache can be. You will probably find reports that the Disk Cache problem is fixed in Win 98/ME because a too large Disk Cache is not wasted space anymore. From thousands of user reports we see that this is NOT the case. The Disk Cache can still raise to such an amount that virtual memory swapping becomes not a occasional but a permanent activity even on systems with large memory amount and disabled PageFile Call Async Manager. Limiting the Disk Cache size has reduced the swapping in many cases.

What is Chunk Size?

The Disk Cache is a single block of memory which is divided into chunks. The performance changes slightly with the Chunk Size. Is it too small, the data must occupy too many chunks and vice versa. An optimum size must be arrived at so that the Chunk Size is not too large and not too small. The default size of 512 Bytes is best for most purposes.

What is Read-ahead Threshold?

Read-ahead Threshold is the amount of additional bytes that will be read when a application reads data in sequence. It is meant to improve read performance by anticipating the next read. This works in many cases, unfortunately the performance will decrease if more than one application accesses the hard drive at the same time.

What is Name and Path Cache?

Path Cache specifies the size of the cache that the virtual file allocation table (VFAT) can use to save the locations of the most recently accessed directory paths. This cache improves performance by reducing the number of times the file system must seek paths by searching the file allocation table. Name Cache stores the locations of the most recently accessed file names.

What are GDI / User Resources?

System resources are areas of memory that are used by the input manager (USER) and the graphic display interface manager (GDI) for keeping track of all of the windows that are open in a session and for drawing objects on the screen. The size of each heap is fixed.

16-bit User heap (64K)
32-bit User window heap (2MB)
32-bit User menu heap (2MB)
16-bit GDI heap (64K)
32-bit GDI heap (2MB)

If any of these segments becomes full, programs may fail to load and Windows 9x/ME may become unstable - regardless of how much other free memory there is.

Does Cacheman change the Virtual Memory size?

No.

Does Cacheman have to be resident in memory to work?

No. Cacheman must not be present all the time in memory for the optimization purpose - it's only needed for the monitoring capabilities. Disable the 2 checkboxes on the Options Page if you do not want to use the monitoring functions. If you leave the options enabled Cacheman will start automatically on the next windows boot and hide into the system tray. The tray icon will display the free memory amount in MB, to configure the display go to the Options page. To show Cacheman's main window double click on the tray icon or select Hide/Unhide from the tray shortcut menu.

Does Cacheman add drivers to optimize my Disk Cache?

No.

Do I need to close all programs before running Cacheman?

Nope. Cacheman does not really interact with any other programs, and uses very little in the way of resources and CPU time.

Will Cacheman improve every system?

No. Cacheman is not a magic utility. Many Cacheman users have achieved great performance and/or system reaction time improvement, some even reported their system behaves after using Cacheman like after an expensive Hardware upgrade. You can read some user comments in this section of the help file. We have got of course reports where Cacheman was not able to help too, simply try yourself and decide.

Is it dangerous to use Cacheman?

Cacheman works on a large number of systems without any problems. We have received a few problem reports from users with exotic device drivers. (mostly network adapters). Use Cacheman at your own risk as stated in the license agreement of the installation program!

If you encounter any problems - read this section how to get rid of Cacheman.

I had problems loading Cacheman 3.80 on my system - does this problem still exist with V4.x?

Cacheman 3.80 executable was compressed. This worked without problems and reduced the executable size by a significant amount. The loading problem that occurred was NOT caused by Cacheman, but by a new version of Symantec Norton Antivirus software. Cacheman 4.x is not compressed anymore, but since NAV was the only AV software that caused problems with compressed executable files we do not recommend to use it at all. There are a lot of good AV software which work without problems, use less resources and offer better AV protection at the same time.

.topic 30
Saves Setting values

.topic 31
terminates Cacheman, if settings have altered then Cacheman asks you if you want to save the changes before it exits

.topic 32
restores windows default Disk Cache settings

.topic 33
loads the parameters for Cacheman from a config file which you specify

.topic 34
saves the current Cacheman configuration to a config file in the location of your choice

.topic 35
It is the part of the operating system that loads first, and it remains in main memory. Because it stays in memory, it is important for the kernel to be as small as possible while still providing all the essential services required by other parts of the operating system and applications. Typically, the kernel is responsible for memory management, process and task management, and disk management.

.topic 36
The Graphics Device Interface (GDI) is the graphical system that manages what appears on the screen. It also provides graphics support for printers and other output devices. It draws graphic primitives, manipulates bitmaps, and interacts with device-independent graphics drivers, including those for display and printer output device drivers. 16 bit GDI Resources are limited to 64 Kb. If GDI resources drop below 10% windows becomes very probably unstable.

.topic 51
The User component manages input from the keyboard, mouse, and other input devices and output to the user interface (windows, icons, menus, and so on). It also manages interaction with the sound driver, timer, and communications ports. Windows 98/ME uses an asynchronous input model for all input to the system and applications. As the various input devices generate interrupts, the interrupt handler converts these interrupts to messages and sends the messages to a raw input thread area, which in turn passes each message to the appropriate message queue. Although each Win32-based thread can have its own message queue, all Win16-based applications share a common one. 16 bit User Resources are limited to 64 Kb.

.topic 37
Disk Cache size will not go below this value

.topic 38
Disk Cache size will not raise above this value

.topic 39
The Disk Cache is a single block of memory which is divided into chunks. The performance changes slightly with the Chunk Size. Is it too small, the data must occupy too many chunks and vice versa. An optimum size must be arrived at so that the Chunk Size is not too large and not too small. The default size of 512 Bytes is best for most purposes.

.topic 40
This slider changes the amount of additional bytes that will be read when a application reads data in sequence. It is meant to improve read performance by anticipating the next read. This works in many cases, unfortunately the performance will decrease if more than one application accesses the hard drive at the same time.

.topic 41
Name Cache stores the locations of the most recently accessed file names

.topic 42
Path Cache specifies the size of the cache that the virtual file allocation table (VFAT) can use to save the locations of the most recently accessed directory paths. This cache improves performance by reducing the number of times the file system must seek paths by searching the file allocation table.

.topic 43
By enabling this checkbox you can disable the PageFile Call Async Manager feature that allows the Memory Manager to asynchronously write out swap file buffers during VFAT idle times. This settings reduces the Virtual Memory swapping, but is only recommended if you have a large amount of Free Memory.

.topic 44
select the info values Cacheman should display in it's Tray Icon

.topic 45
if checked Cacheman will hide to tray when the user closes it's window, overwise Cacheman will quit

.topic 46
if checked Cacheman will be automatically loaded at windows startup

.topic 47
if checked Cacheman will hide to tray immediately after start

.topic 48
You can set the intervals Cacheman should update the Tray Icon and the history graphs with new values. The numbers are in Milliseconds: 1 Second = 1000 Milliseconds.

.topic 49
displays the Frequently Asked Questions (FAQ) page from the Cacheman Help file

.topic 52
Windows automatically unloads DLLs when the usage count is zero, but only after the DLLs have not been used for a period of time. This inactive period might be unacceptably long at times and cause performance slow downs on low memory systems. Enable this option to disable Windows holding the DLLs in memory.

.topic 53
If checked Cacheman will stop the history graphs after hiding to the Tray area.


Chunk Size

 The Disk Cache is a single block of memory which is divided into chunks. The performance changes slightly with the Chunk Size. Is it too small, the data must occupy too many chunks and vice versa. An optimum size must be arrived at so that the Chunk Size is not too large and not too small. The default size of 512 Bytes is best for most purposes.


Conservative Swap File Usage

 By enabling this checkbox you can disable the PageFile Call Async Manager feature that allows the Memory Manager to asynchronously write out swap file buffers during VFAT idle times. This settings reduces the Virtual Memory swapping, but is only recommended if you have a large amount of Free Memory.


Disable Optimization

 restores windows default Disk Cache settings


Display in Tray Icon

 select the info values Cacheman should display in it's Tray Icon


Exit

 terminates Cacheman, if settings have altered then Cacheman asks you if you want to save the changes before it exits


FAQ

 displays the Frequently Asked Questions (FAQ) page from the Cacheman Help file


GDI Resources

 The Graphics Device Interface (GDI) is the graphical system that manages what appears on the screen. It also provides graphics support for printers and other output devices. It draws graphic primitives, manipulates bitmaps, and interacts with device-independent graphics drivers, including those for display and printer output device drivers. 16 bit GDI Resources are limited to 64 Kb. If GDI resources drop below 10% windows becomes very probably unstable.


Hide Cacheman to Tray on window close

 if checked Cacheman will hide to tray when the user closes it's window, overwise Cacheman will quit


Load

 loads the parameters for Cacheman from a config file which you specify


Load Cacheman with Windows

 if checked Cacheman will be automatically loaded at windows startup


Maximal Disk Cache

 Disk Cache size will not raise above this value


Minimal Disk Cache

 Disk Cache size will not go below this value


Name Cache

 Name Cache stores the locations of the most recently accessed file names


Path Cache

 Path Cache specifies the size of the cache that the virtual file allocation table (VFAT) can use to save the locations of the most recently accessed directory paths. This cache improves performance by reducing the number of times the file system must seek paths by searching the file allocation table.


Read-ahead Threshold

 This slider changes the amount of additional bytes that will be read when a application reads data in sequence. It is meant to improve read performance by anticipating the next read. This works in many cases, unfortunately the performance will decrease if more than one application accesses the hard drive at the same time.


Refresh Intervals

 You can set the intervals Cacheman should update the Tray Icon and the history graphs with new values. The numbers are in Milliseconds: 1 Second = 1000 Milliseconds.


Save

 saves the current Cacheman configuration to a config file in the location of your choice


Save Settings

 Saves Setting values


Start Hidden

 if checked Cacheman will hide to tray immediately after start


Stop history graphs when hidden

 If checked Cacheman will stop the history graphs after hiding to the Tray area.


System

 It is the part of the operating system that loads first, and it remains in main memory. Because it stays in memory, it is important for the kernel to be as small as possible while still providing all the essential services required by other parts of the operating system and applications. Typically, the kernel is responsible for memory management, process and task management, and disk management.


Unload Dlls from memory

 Windows automatically unloads DLLs when the usage count is zero, but only after the DLLs have not been used for a period of time. This inactive period might be unacceptably long at times and cause performance slow downs on low memory systems. Enable this option to disable Windows holding the DLLs in memory.


User Resources

 The User component manages input from the keyboard, mouse, and other input devices and output to the user interface (windows, icons, menus, and so on). It also manages interaction with the sound driver, timer, and communications ports. Windows 98/ME uses an asynchronous input model for all input to the system and applications. As the various input devices generate interrupts, the interrupt handler converts these interrupts to messages and sends the messages to a raw input thread area, which in turn passes each message to the appropriate message queue. Although each Win32-based thread can have its own message queue, all Win16-based applications share a common one. 16 bit User Resources are limited to 64 Kb.